
import Panel from "../views/Panel";
import { DataManager } from "../../libs/tw/manager/DataManager";
// import { NetManager } from '../../libs/tw/manager/NetManager';
// import { DataManager } from "../../libs/tw/manager/DataManager";
export default class UpNoPrizePanel extends Panel {
    public maskRule:eui.Rect;
    // public okBtn:eui.Button;
    private callback:Function;
    public titleLb:eui.Label;
    constructor(data){
        super(data);
        this.callback       = data;
        this.percentHeight  = 100;
    }

    protected onSkinComplete():void{
        super.onSkinComplete();


        this.titleLb.text = '恭喜您升到' + DataManager.ins.petHomeInfoData.petLevel + '级啦';
        
    }

    public initEvents():void{
        super.initEvents();
        // this.okBtn.addEventListener(egret.TouchEvent.TOUCH_TAP, this.onTap, this);
    }

    private onTap():void{
        if(this.callback){
            this.callback();
        }
        this.hidePanel();
    }

    public removeEvents():void{
        super.removeEvents();
    }

    public get skinKey() { return 'UpNoPrizePanel' }
	public get groupName() { return 'upNoPrize_panel'}
}